<?php
/**
* 2007-2020 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
*
*  @author    IPPANEL
*  @copyright 2020 ippanel
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*/


class ippanelsmsShortlinkModuleFrontController extends ModuleFrontController {
    public function init(){
		parent::init();
		$order_reference =  Tools::getValue('order_reference');
		$userInvoiceUrl = Configuration::get('IPPANEL_SMS_USERINVOICE');
		$guestInvoiceUrl = Configuration::get('IPPANEL_SMS_GUESTINVOICE');
		$order= $this->getOrderbyReference($order_reference);
		$customer = new Customer((int) $order['id_customer']);
	  	$vars = array(
			'{order_id}' => $order['id_order'],
			'{order_reference}' => $order_reference,
			'{guest_email}' => $customer->email,
			'{adminToken}' => Tools::getAdminTokenLite('AdminModules'),
		); 
		if($customer->is_guest) $link = str_replace(array_keys($vars), array_values($vars), $guestInvoiceUrl); else $link = str_replace(array_keys($vars), array_values($vars), $userInvoiceUrl);
        Tools::redirect($link);
    }
	private function getOrderbyReference($order_reference){
		$sql = new DbQuery();
		$sql->select('*');
		$sql->from('orders', 'o');
		$sql->where("o.reference = '{$order_reference}'");
		$orders = Db::getInstance()->executeS($sql);
		return $orders[0];
	}
}